Bug 1128767 (CVE-2014-5031) - CVE-2014-5031 cups: world-readable permissions
Summary: CVE-2014-5031 cups: world-readable permissions
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-5031
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140722,repor...
Depends On: 1122601 1128793 1128794 1128795
Blocks: 1101912 1115577
TreeView+ depends on / blocked
 
Reported: 2014-08-11 14:07 UTC by Francisco Alonso
Modified: 2019-06-08 20:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that CUPS allowed certain users to create symbolic links in certain directories under /var/cache/cups/. A local user with the 'lp' group privileges could use this flaw to read the contents of arbitrary files on the system or, potentially, escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2015-03-26 21:43:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1388 normal SHIPPED_LIVE Moderate: cups security and bug fix update 2014-10-14 01:21:38 UTC
CUPS Bugs and Features 4455 None None None Never
CUPS Bugs and Features 4461 None None None Never

Description Francisco Alonso 2014-08-11 14:07:41 UTC
It was reported [1] that CUPS does not check that files have world-readable permissions, which allow to local users to obtain sensitive information.

Upstream patches are available at [2] as well.

[1]: http://seclists.org/oss-sec/2014/q3/209
[2]: https://cups.org/str.php?L4455

Comment 1 Francisco Alonso 2014-08-11 14:42:27 UTC
Statement:

This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle, https://access.redhat.com/support/policy/updates/errata/

Comment 4 Francisco Alonso 2014-08-11 14:46:02 UTC
Created cups tracking bugs for this issue:

Affects: fedora-all [bug 1128795]

Comment 5 Tim Waugh 2014-08-11 16:08:42 UTC
The original upstream fix was in STR #4455.

This caused a regression: 'cupsctl -U root' now fails, as does 'View Error Log' in the web interface.

The regression is STR #4461. I've made a patch for this:
  https://cups.org/str.php?L4461

Comment 7 Martin Prpič 2014-10-07 08:44:45 UTC
IssueDescription:

It was discovered that CUPS allowed certain users to create symbolic links in certain directories under /var/cache/cups/. A local user with the 'lp' group privileges could use this flaw to read the contents of arbitrary files on the system or, potentially, escalate their privileges on the system.

Comment 8 errata-xmlrpc 2014-10-14 07:31:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1388 https://rhn.redhat.com/errata/RHSA-2014-1388.html

Comment 9 Tomas Hoger 2015-03-26 21:43:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHBA-2015:0386 https://rhn.redhat.com/errata/RHBA-2015-0386.html


Note You need to log in before you can comment on or make changes to this bug.